Subject: Re: [MEXT] Review of Re: I-D Action:draft-ietf-monami6-multiplecoa-12.txt

From: Christian Kaas-Petersen <[email-masked]>
Date: Tue, 17 Mar 2009 12:24:14 +0000 (GMT)

An H-bit=1 is allowed in a binding de-registration, see section 6.2
bullet 7.  But of course it is better to have the usage of the various
fields of a packet collected in one place.  I continue to be in favor
of clear specifications.

Christian
 
--- Den tirs 17/3/09 skrev George Tsirtsis <[email-masked]>:

> Fra: George Tsirtsis <[email-masked]>
> Emne: Re: [MEXT] Review of Re: I-D Action:draft-ietf-monami6-multiplecoa-12.txt
> Til: "Christian Kaas-Petersen" <[email-masked]>
> Cc: "mext" <[email-masked]>
> Dato: tirsdag 17. marts 2009 11.16
> On Tue, Mar 17, 2009 at 4:00 AM,
> Christian Kaas-Petersen
> <[email-masked]>
> wrote:
> >
> > The packets I proposed I get from draft 12, section
> 5.4 second paragraph
> > (which details a de-registration with lifetime=0 and
> absence of
> > care-of address) and section 5.6.3 bullets number 1
> and 2 (which detail
> > the presence of the H-bit and the absence of the
> care-of address).
> >
> 
> GT> And here is a good illustration of how confusing
> this draft is:
> Section 5.4 says:
> "   If a mobile node wants to delete a
> particular binding(s) from its
>    home agent and correspondent nodes, the
> mobile node sends a Binding
>    Update with lifetime set to zero and
> includes a Binding Identifier
>    mobility option(s) with the BID(s) it
> wants to de-register.  The
>    receiver will remove only the care-of
> address(es) that match(es) the
>    specified BID(s).  The care-of
> addresses field in each mobility
>    option SHOULD be omitted by the sender
> (i.e. the field does not
>    appear in the option) and MUST be ignored
> by the receiver.  This is
>    because the receiver will remove the
> binding that matches the
>    specified BID."
> 
> GT> These are clearly instructions regarding how a
> BID/CoA is removed.
> It does not mention what the H flag should be set to and
> thus the HA
> flag is irrelevant. It just says that BU with lifetime=0
> and BID with
> no CoA mean deregistration of the given BID.
> 
> GT> Then in Section 5.6.3, bullet 2, it says:
> "   o  The mobile node MUST include the
> Binding Identifier mobility
>       option specifying the BID the mobile
> node had previously
>       associated with the interface attached
> to the home link.  The 'H'
>       flag MUST be set in the Binding
> Identifier mobility option.  For
>       the binding deregistration, a mobile
> node SHOULD NOT store a
>       care-of address in the Care-of Address
> field of the Binding
>       Identifier mobility option.  The
> receiver, the home agent, can
>       match the removed binding with BID
> value in the Binding Identifier
>       mobility option."
> GT> It describes a home registration where the BID with
> H=1 and no
> CoA. But what should the Lifetime be? I claim it should be
> >0 because
> if it is 0 this is a deregistration no matter what the H
> flag says.
> you think otherwise.
> 
> GT> Also what s this first part of this bullet all
> about? "The mobile
> node MUST include the Binding Identifier mobility
>       option specifying the BID the mobile
> node had previously
>       associated with the interface attached
> to the home link." Why
> does this protocol assume that the interface connecting to
> the home
> link already has a BID and was connected somewhere else
> earlier? What
> happens if the interface connecting to the HA if a new one
> (e.g., I
> just pluged in my eathernet cable)? This is clearly not
> necessary and
> has nothing to do with the spec.
> 
> 
> > To me, there is no need to register a binding where
> CoA=HoA (use of
> > home link), unless flow binding is used.  Section
> 5.6.5 is new in
> > draft 12 and 11 as compared to draft 10, and it was
> introduced as a
> > specific add-on to allow assigning specific flow
> bindings to the home
> > link.  Of course, one may now ask whether it is
> useful with two
> > mechanisms for signaling home link is also available:
> (a) the CoA=HoA
> > mechanism and (b) the H-bit mechanism.  Maybe the
> CoA=HoA mechanism
> > should be seen as a flow binding specific item and
> moved to the flow
> > binding draft.  This continues the discussion whether
> MCoA and flow
> > binding should be seen as one item or as two separate
> items.

      Trænger du til at se det store billede? Kelkoo giver dig gode tilbud på LCD TV! Se her http://dk.yahoo.com/r/pat/lcd